# TypeScript SDK

## **Deposit xSolvBTC**

```javascript
deposit(targetToken: string,currency: string,currencyAmount: string,minimumTargetTokenAmount: string,expireTime: number): Promise<ContractTransaction>
```

**Parameters**

```javascript
targetToken: string; // xSolvBTC contract address
currency: string; // Deposited token contract address
currencyAmount: string; // The token amount to be deposited
minimumTargetTokenAmount: string; // Minimum receiving quantity
expireTime: number; // The expiration time of the transaction
```

**Result**

Returns the Evm chain transaction object, which defaults to pending status

## Withdraw xSolvBTC

```javascript
withdraw(amount: string): Promise<ContractTransaction>;
```

**Parameters**

```javascript
amount: string; // witdraw quantity
```

**Result**

Returns the Evm chain transaction object, which defaults to pending status.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solv.finance/developer-guide/xsolvbtc/typescript-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
